<!--
/*
 * elRepo.io decentralized culture repository
 *
 * Copyright (C) 2019-2021  Asociación Civil Altermundi <info@altermundi.net>
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the
 * Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 * See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>
 *
 * SPDX-FileCopyrightText:  2019-2021 Asociación Civil Altermundi <info@altermundi.net>
 * SPDX-License-Identifier: AGPL-3.0-only
 */
-->

<div class="masonry-container">
    {{# posts }}
        <div class="w3-card-2 w3-hover-shadow masonry-item">
            <header class="w3-center w3-green w3-padding-large w3-margin-right w3-margin-left">
                <i class="w3-jumbo fas {{ iconType }}" ></i>
            </header>
            <div class="w3-container w3-center">
                <h1>{{ title }}</h1>
                <h5>{{ summary }}</h5>
                <div>
                     <a class="w3-button w3-purple" href="forums/{{ groupId }}?msgId={{ msgId }}">
                     <i class="fas fa-external-link-alt w3-xlarge" ></i>
                    </a>
                </div>
                <br>
                {{# parsedTags }}
                    <button
                        class="w3-button w3-padding-small w3-round-xxlarge"
                        style="
                            margin-bottom: 5px;
                            background-color: {{ hexColor }};"
                    >{{ name }}</button>
                {{/ parsedTags }}
            </div>
            <footer class="w3-padding-small">
                 <p class="w3-right little-italic"> Published on {{ time }} <i class="fas fa-comments" style="color: Gray;"></i></p>
            </footer>
        </div>
    {{/ posts }}
    {{^ posts }}
        <div>No posts detected.</div>
    {{/ posts  }}
</div>
{{! I am a comment. }}
